
enum LVCameraPosition {
  back,   // 后置摄像头
  front, // 前置摄像头
}

enum LVAVConfig {
  PROFILE_180P,
  PROFILE_270P,
  PROFILE_360P,
  PROFILE_540P,
  PROFILE_720P,
}

class LVUser {
  String userId;
  List<String> pullUrls;
}

class LinkvLoginRoomResult {
  int code;
  List<LVUser> users;
}

class LVVideoStatistic {
  int videoSentPackets;
  int videoSentKBytes;
  int videoFps;
  int videoLostPackets;
  int videoBitrateBps;
  int videoRtt;
  int videoLostPercent;
  int frameWidth;
  int frameHeight;

  static LVVideoStatistic convertFromMap(dynamic args) {
    LVVideoStatistic v = LVVideoStatistic();
    v.videoSentPackets = args["videoSentPackets"];
    v.videoSentKBytes = args["videoSentKBytes"];
    v.videoFps = args["videoFps"];
    v.videoLostPackets = args["videoLostPackets"];
    v.videoBitrateBps = args["videoBitrateBps"];
    v.videoRtt = args["videoRtt"];
    v.videoLostPercent = args["videoLostPercent"];
    v.frameWidth = args["frameWidth"];
    v.frameHeight = args["frameHeight"];

    return v;
  }
}
